## class OSGFX_EXPORT osgFX::Scribe

> This is a two-passes effect; the first pass renders the subgraph as usual while the second pass switches to wireframe mode, sets up lighting and material to obtain a fixed (user-defined) color and then renders the subgraph.

## Inheritance:

### Public Methods

Scribe()
Scribe(const Scribe &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)
META_Effect( osgFX, Scribe, "Scribe", "This is a two-passes effect; the first pass renders the subgraph as usual " "while the second pass switches to wireframe mode, sets up lighting and " "material to obtain a fixed (user-defined) color and then renders the subgraph.\n" "This effect uses the PolygonOffset attribute to avoid Z-fighting, so it " "requires at least OpenGL version 1.1.", "Marco Jez")
inline const osg::Vec4& getWireframeColor() const
  get the wireframe color
inline void setWireframeColor(const osg::Vec4 &color)
  set the wireframe color
inline float getWireframeLineWidth() const
  get the wireframe line width
inline void setWireframeLineWidth(float w)
  set the wireframe line width

### Protected Methods

virtual ~Scribe()
Scribe& operator=(const Scribe &)
bool define_techniques()

### Inherited from Effect:

### Public Methods

virtual inline bool isSameKindAs(const osg::Object* obj) const
virtual inline const char* libraryName() const
virtual inline const char* className() const
virtual const char* effectName() const
virtual const char* effectDescription() const
virtual const char* effectAuthor() const
inline virtual void setUpDemo()
virtual void traverse(osg::NodeVisitor &nv)
inline bool getEnabled() const
inline void setEnabled(bool v)
inline int getNumTechniques() const
inline Technique* getTechnique(int i)
inline const Technique* getTechnique(int i) const
inline int getSelectedTechnique() const
inline void selectTechnique(int i)
inline void addTechnique(Technique* tech)
inline void dirtyTechniques()
inline void inherited_traverse(osg::NodeVisitor &nv)

### Public Members

enum TechniqueSelection

## Documentation

> This is a two-passes effect; the first pass renders the subgraph as usual while the second pass switches to wireframe mode, sets up lighting and material to obtain a fixed (user-defined) color and then renders the subgraph. This effect uses the PolygonOffset attribute to avoid Z-fighting, so it requires at least OpenGL version 1.1.

`Scribe()`

`Scribe(const Scribe &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)`

`META_Effect( osgFX, Scribe, "Scribe", "This is a two-passes effect; the first pass renders the subgraph as usual " "while the second pass switches to wireframe mode, sets up lighting and " "material to obtain a fixed (user-defined) color and then renders the subgraph.\n" "This effect uses the PolygonOffset attribute to avoid Z-fighting, so it " "requires at least OpenGL version 1.1.", "Marco Jez")`

`virtual ~Scribe()`

`Scribe& operator=(const Scribe &)`

`bool define_techniques()`

`inline const osg::Vec4& getWireframeColor() const`
  get the wireframe color

`inline void setWireframeColor(const osg::Vec4 &color)`
  set the wireframe color

`inline float getWireframeLineWidth() const`
  get the wireframe line width

`inline void setWireframeLineWidth(float w)`
  set the wireframe line width

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.